<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>
<script type="text/javascript">
Cubix.Grid.DataTypes.EscortLink.baseUrl = '<?= Cubix_Application::getById()->url . '/escort' ?>';
</script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	var initDateFilter = function(filter_form)
	{
		var defined_dates = {'today': 'Today', 'yesterday': 'Yesterday', 'last_7_days' : 'Last 7 days', 'this_month': 'This month', 'last_month': 'Last month'};
		var defined_dates2 = {'today': 'Today', 'tomorrow': 'Tomorrow', 'this_week': 'This week', 'next_week': 'Next week'};

		date_from_picker = $(filter_form).getElement('.f-date-from');
		var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
			positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
		date_to_picker = $(filter_form).getElement('.f-date-to');
		var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
				positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });


		$(filter_form).getElement('.f-dates-defined').addEvent('change', function() {

					switch(this.get('value'))
					{
						case '':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()), true);

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()), true);
						break;
						case 'today':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date()));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'yesterday':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'last_7_days':
							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().decrement('day', 7)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date()));
						break;
						case 'this_month':
							var last_day = new Date().get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(new Date().set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(new Date().set('date', last_day)));
						break;
						case 'last_month':
							var last_month = new Date().decrement('month', 1);

							var last_day = last_month.get('lastdayofmonth');

							date_from.onFocus(date_from.item, date_from.clone, true);
							date_from.select(date_from.dateToObject(last_month.set('date', 1)));

							date_to.onFocus(date_to.item, date_to.clone, true);
							date_to.select(date_to.dateToObject(last_month.set('date', last_day)));
						break;
					}
				});



	};
	initDateFilter('a-search-form');
		
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'Email', field: 'email', type: 'string', sortable: true, width: '200px' },
			{ title: 'Date', field: 'date', type: 'DateTime', sortable: true, width: '140px' },
			{ title: 'Subject', field: 'subject', type: 'string', sortable: true, width: '300px' },
			{ title: 'Text', field: 'text', type: 'string', sortable: false },
			{ title: 'Sales Person', field: 'username', type: 'string', sortable: true, width: '200px' }
		],
		sort: {
			field: 'date',
			dir: 'desc'
		},
		actions: [ 
		],
		data: new Cubix.Grid.Loader({ url: '/sms/emailoutbox/data', params: getFilterParams })
	});
		
	//SEARCH
	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.setPage(1);
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });
};
</script>
<? $DEFINITIONS = Zend_Registry::get('defines'); ?>
<div class="form-common gray c-filter-form">
	<form id="a-search-form">
		<div class="fleft">
			<!-- DATE FILTRATION -->
			<fieldset class="inner mb10">
				<legend>Personal Date</legend>
				<div class="inner">
					<label>
						<span>Escort Id</span>
					</label>
					<input id="f-escort_id" type="text" class="txt w6" name="escort_id" value="" />
				</div>
				<div class="inner">
					<label for="f-status">Escort Status</label>
					<?= $this->selectBox('status', 'f-status', $DEFINITIONS['escort_status_options'], 'w14', $this->filter_params['status'], 'any') ?>
				</div>
				<div class="inner">
					<label>
						<span>Sales Person</span>
					</label>
					<select id="f-backend-user-id" name="backend_user_id" class="w14" >
						<option value=""> - any - </option>
						<option value="-1"> - system - </option>
						<? $model = new Model_Moderators(); foreach ( $model->getByApplicationId($this->request()->application_id) as $user ): ?>
						<option value="<?= $user->id ?>"><?= $user->username ?></option>
						<? endforeach; ?>
					</select>
				</div>
				<div class="inner">
					<label>
						<span>Email</span>
					</label>
					<input id="f-email" type="text" class="txt w128" name="email" value="" />
				</div>

				<div class="clear"></div>
			</fieldset>
			
			<!-- DATE FILTRATION -->
			<fieldset class="inner mb10">
				<legend>Date</legend>

				<div class="inner">
					<label>
						<span>Date:</span>
					</label>
					<select id="f-dates-defined" name="dates_defined" class="w14 f-dates-defined" >
						<option value=""> - any - </option>
						<option value="today">Today</option>
						<option value="yesterday">Yesterday</option>
						<option value="last_7_days">Last 7 Days</option>
						<option value="this_month">This Month</option>
						<option value="last_month">Last Month</option>
					</select>
				</div>
				<div class="inner">
					<label>
						<span>From</span>
					</label>
					<input id="f-date-from" type="text" class="txt w8 f-date-from" name="date_from" value="" />
				</div>

				<div class="inner" style="padding-top: 25px">
					<span> - </span>
				</div>

				<div class="inner">
					<label>
						<span>To</span>
					</label>
					<input id="f-date-to" type="text" class="txt w8 f-date-to" name="date_to" value=""  />
				</div>
				<div class="clear"></div>
			</fieldset>
		</div>
		<div class="clear"></div>
	</form>

	<div class="actions-box">
		<div class="c" style="width: 190px;">
			<a id="btn-refresh"></a>
			
			<div class="clear"></div>
		</div>
	</div>
</div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
